Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Investigate possibility to improve `register-with` command to check for incompatible Octopus Server #2330

Closed
hnrkndrssn opened this issue Jan 28, 2016 · 3 comments

Comments

@hnrkndrssn
Copy link

commented Jan 28, 2016

If possible, when running register-with, could we check if they are trying to register a 3.x Tentacle with a 2.x Octopus Server?

Source: http://help.octopusdeploy.com/discussions/problems/29735#comment_39018914

@michaelnoonan

This comment has been minimized.

Copy link
Contributor

commented Feb 17, 2016

We should be able to do this easily by doing a GET on api/ServerStatus and inspecting the Version.

@vanessalove vanessalove added the ready label Jul 12, 2016
@MarkSiedle MarkSiedle self-assigned this Jul 18, 2016
@MarkSiedle MarkSiedle added in progress and removed ready labels Jul 18, 2016
@MarkSiedle MarkSiedle modified the milestones: 3.3.23, 3.3.24 Jul 22, 2016
@MarkSiedle MarkSiedle closed this Jul 29, 2016
@octoreleasebot

This comment has been minimized.

Copy link

commented Jul 29, 2016

Release Note: When registering Tentacles, we now have validation to ensure the Tentacle+Server versions are compatible

@MarkSiedle MarkSiedle modified the milestones: 3.3.25, 3.3.24 Jul 29, 2016
@lock

This comment has been minimized.

Copy link

commented Nov 25, 2018

This thread has been automatically locked since there has not been any recent activity after it was closed. If you think you've found a related issue, please contact our support team so we can triage your issue, and make sure it's handled appropriately.

@lock lock bot locked as resolved and limited conversation to collaborators Nov 25, 2018
Sign up for free to subscribe to this conversation on GitHub. Already have an account? Sign in.
Projects
None yet
5 participants
You can’t perform that action at this time.